summaryrefslogtreecommitdiffstats
path: root/conf_script
diff options
context:
space:
mode:
authorKaz Kylheku <kaz@kylheku.com>2014-09-13 09:43:21 -0700
committerKaz Kylheku <kaz@kylheku.com>2014-09-13 09:43:21 -0700
commit5280f9a0cd1f9ba200422ebba65d1e0133410995 (patch)
treebf85ce4e320a769d7e0903ff52ccfde13a422666 /conf_script
downloadman-5280f9a0cd1f9ba200422ebba65d1e0133410995.tar.gz
man-5280f9a0cd1f9ba200422ebba65d1e0133410995.tar.bz2
man-5280f9a0cd1f9ba200422ebba65d1e0133410995.zip
Initial.man-1.6g
Diffstat (limited to 'conf_script')
-rwxr-xr-xconf_script87
1 files changed, 87 insertions, 0 deletions
diff --git a/conf_script b/conf_script
new file mode 100755
index 0000000..0f4719f
--- /dev/null
+++ b/conf_script
@@ -0,0 +1,87 @@
+#!/bin/sh
+infiles=$@
+trap 'rm -f $infiles; exit 1' 1 3 15
+
+# echo ""
+for infile in $infiles
+do
+ case $infile in
+ *.h)
+ cb="/*"; cs=" *"; ce=" */";;
+ *.1|*.5|*.8|*.man)
+ cb=.\\\"; cs=.\\\"; ce=.\\\";;
+ *)
+ case "`sed -n -e 1p $infile.in`" in
+ '#!'*) cb="`sed -n -e 1p $infile.in`";;
+ *) cb="#";;
+ esac
+ cs="#"; ce="#";;
+ esac
+ echo "$cb" > $infile
+ echo "$cs Generated automatically from $infile.in by the" >> $infile
+ echo "$cs configure script." >> $infile
+ echo "$ce" >> $infile
+ echo "Creating $infile from $infile.in"
+ sed -e '
+s,@version@,man-1.6g,
+s,@CC@,gcc -O,
+s,@EXEEXT@,,
+s,@BUILD_CC@,gcc -O,
+s,@INSTALL@,install,
+s,@DEFS@, -DSTDC_HEADERS -DTERMIOS_HEADER -DPOSIX -DDO_COMPRESS,
+s,@LIBS@,,
+s,@LIBOBJS@,,
+s,@troff@,/usr/bin/groff -Tps -mandoc,
+s,@nroff@,/usr/bin/nroff -Tlatin1 -mandoc,
+s,@jnroff@,/usr/bin/groff -Tnippon -mandocj,
+s,@eqn@,/usr/bin/geqn -Tps,
+s,@neqn@,/usr/bin/geqn -Tlatin1,
+s,@jneqn@,/usr/bin/geqn -Tnippon,
+s,@tbl@,/usr/bin/gtbl,
+s,@nocol@,# ,
+s,@pcol@,,
+s,@col@,/usr/bin/col,
+s,@vgrind@,,
+s,@refer@,,
+s,@grap@,,
+s,@pic@,/usr/bin/gpic,
+s,@fcat@,,
+s,@pcat@,,
+s,@zcat@,/bin/zcat,
+s,@unxz@,/usr/bin/unxz -c,
+s,@gunzip@,/bin/gunzip -c,
+s,@bzip2@,/bin/bzip2 -c -d,
+s,@unlzma@,/usr/bin/unlzma -c -d,
+s,@unyabba@,,
+s,@compress@,/usr/bin/xz,
+s,@compress_ext@,.xz,
+s,@decompress@,/usr/bin/unxz -c,
+s,@pager@,/bin/less -is,
+s,@browser@,/bin/less -is,
+s,@htmlpager@,/bin/cat,
+s,@cmp@,/usr/bin/cmp -s,
+s,@cat@,/bin/cat,
+s,@awk@,/usr/bin/awk,
+s,@bindir@,/usr/bin,
+s,@sbindir@,/usr/sbin,
+s,@mandir@,/usr/share/man,
+s,@locale@,,
+s,@fhs@,,
+s,@fsstnd@,# ,
+s,@man1ext@,1,g
+s,@man5ext@,5,g
+s,@man8ext@,8,g
+s,@man_install_flags@,,
+s,@man_user@,,
+s,@languages@,en,
+s,@man@,/usr/bin/man,
+s,@apropos@,/usr/bin/apropos,
+s,@whatis@,/usr/bin/whatis,
+s,@man2dvi@,/usr/bin/man2dvi,
+s,@makewhatis@,/usr/sbin/makewhatis,
+s,@man_config_dir@,/usr/share/misc,
+s,@man_config_file@,/usr/share/misc/man.conf,
+s,@manpathoption@,--path,
+s/@sections@/1:1p:8:2:3:3p:4:5:6:7:9:0p:tcl:n:l:p:o/
+' $infile.in >> $infile
+done